%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define pear_name Config

#
# Note: the test suite for this package has two badly written tests that will
# cause failures.  These can be ignored.
# http://pear.php.net/bugs/15964
#

Name:           php-pear-Config
Version:        1.10.11
Release:        4%{?dist}
Summary:        Configuration file manipulation for PHP

Group:          Development/Libraries
License:        PHP
URL:            http://pear.php.net/package/Config
Source0:        http://download.pear.php.net/package/%{pear_name}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
Requires:       php-pear(XML_Parser), php-pear(XML_Util)
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}

%description
The PHP Config package provides methods for configuration manipulation.
* Creates configurations from scratch
* Parses and outputs different formats (XML, PHP, INI, Apache...)
* Edits existing configurations
* Converts configurations to other formats
* Allows manipulation of sections, comments, directives...
* Parses configurations into a tree structure


%prep
%setup -q -c
[ -f package2.xml ] || mv package.xml package2.xml
mv package2.xml %{pear_name}-%{version}/%{name}.xml
cd %{pear_name}-%{version}


%build
cd %{pear_name}-%{version}
# no build required


%install
cd %{pear_name}-%{version}
rm -rf $RPM_BUILD_ROOT docdir
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml

# Move documentation
mkdir -p docdir
mv $RPM_BUILD_ROOT%{pear_docdir}/* docdir

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc %{pear_name}-%{version}/docdir/%{pear_name}/*
%{pear_xmldir}/%{name}.xml
%{pear_testdir}/%{pear_name}
# package does not contain %%{pear_datadir}/%{pear_name} files
#%{pear_datadir}/%{pear_name}
%{pear_phpdir}/Config*


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Mar 07 2009 Bernard Johnson <bjohnson@symetrix.com> - 1.10.11-3
- reference to test suite bug
- remove req: php-pear(PEAR) since it's required by other required pkgs
- bz #486044

* Wed Feb 25 2009 Bernard Johnson <bjohnson@symetrix.com> - 1.10.11-2
- add dependencies for php-pear(XML_Parser) and php-pear(XML_Util)
- change from %%{pear_name}.xml to %%{name}.xml to avoid channel conflicts
- changes %%files section from %%{pear_phpdir}/* to %%{pear_phpdir}/Config*
- note regarding test suite failures added

* Tue Feb 17 2009 Bernard Johnson <bjohnson@symetrix.com> - 1.10.11-1
- initial RPM
